<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ycwh.mapper.FamousStoreMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="famousStoreResultMap" type="org.springblade.modules.ycwh.entity.FamousStoreEntity">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="remark" property="remark"/>
        <result column="sort" property="sort"/>
        <result column="cover" property="cover"/>
        <result column="name" property="name"/>
        <result column="sub_title" property="subTitle"/>
        <result column="videos" property="videos"/>
        <result column="content" property="content"/>
        <result column="region_id" property="regionId"/>
        <result column="address" property="address"/>
        <result column="latitude" property="latitude"/>
        <result column="longitude" property="longitude"/>
        <result column="top" property="top"/>
        <result column="views" property="views"/>
    </resultMap>


    <select id="selectFamousStorePage" resultMap="famousStoreResultMap">
        select * from ycwh_famous_store where is_deleted = 0
    </select>


    <select id="exportFamousStore" resultType="org.springblade.modules.ycwh.excel.FamousStoreExcel">
        SELECT * FROM ycwh_famous_store ${ew.customSqlSegment}
    </select>

</mapper>
